{% extends "general/base.html" %}
{% load widget_tweaks %}

{% block title %}
	Create Notification
{% endblock %}

{% block content %}


<div class="container mt-4">
<div class="row">
	<div class="col-md-2">

	</div>

		<div class="col-md-2"></div>

	<div class="col-md-5">
		<!-- Default form register -->
		<form class="border mt-5 border-secondary text-center p-3" method="post">
			{% csrf_token %}
        <p class="h4 mb-4 text-secondary text-center">Create new Notification</p>
		<div class="text-left mt-5 container">
			<div class="md-form form-lg">
			  <input type="text" id="title" class="form-control form-control-lg" name="title">
			  <label for="location">Title</label>
			</div>
			<div class="md-form form-lg">
			  <input type="text" id="location" class="form-control form-control-lg" name="location">
			  <label for="location">Location</label>
			</div>
			<div class="form-group shadow-textarea">
			  <textarea class="form-control z-depth-1" id="description" name="description" rows="3" placeholder="Description, write something here..."></textarea>
			</div>
			<div class="container">
			   <div class="row" >
					  <div class="col-md-12" >
						<select id="members" name="members" class="colorful-select dropdown-primary md-form" multiple searchable="Search here.." hidden>
						  <option value="" disabled selected>Choose recipients</option>
                            {% for user in users_list%}
                                <option value="{{ user.id }}">{{ user.email }}</option>
                            {% endfor%}
						</select>
						<label class="mdb-main-label">Recipients</label>
					  </div>
					</div>
			   </div>

			<div class="md-form form-lg">
				<div>
					<p class="text-muted">Date of notification: </p>
				</div>
				<input type="datetime-local" id="date_of_coming" name="date_of_coming"
					   class="form-control form-control-lg"
					   value="{{ date_of_coming }}">

			</div>

		</div>
        <button onclick="window.history.back();" class="btn btn-secondary" type="button">Cancel</button>
        <button class="btn btn-success" type="submit">Create</button>

		{% if form.errors %}
		  <div class="mt-5 container">
            {% for key, value in form.errors.items %}
			  <div class="md-form form-lg my4">
				{% if key == "date_of_coming"%}
				  	<span style="color:red">
                    	Date of notification:{{ value }}
				  	</span>
				{% else %}
					<span style="color:red">
						{{ key }}:{{ value }}
					</span>
				{%endif%}
			  </div>
            {% endfor %}
		  </div>
		{% endif %}

	</form>
		<!-- Default form register -->
	</div>

	<div class="col-md-2"></div>

</div>
</div>
{% endblock %}